#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 foldl
version:              1.4.17
visibility:           public
id:                   foldl-1.4.17-3GbWOjoWYDt5mK1kDRJodC
key:                  foldl-1.4.17-3GbWOjoWYDt5mK1kDRJodC
license:              BSD-3-Clause
copyright:            2013 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  5062a72569fe5a04860f2f5db8654af2
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.NonEmpty
    Control.Foldl.Text Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.4.8/site-local/foldl-1.4.17
library-dirs:         /usr/lib/ghc-9.4.8/site-local/foldl-1.4.17
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/foldl-1.4.17
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-foldl
hs-libraries:         HSfoldl-1.4.17-3GbWOjoWYDt5mK1kDRJodC
depends:
    base-4.17.2.1 bytestring-0.11.5.3
    comonad-5.0.8-FaXCdIH358gBTaN3fXTS5x containers-0.6.7
    contravariant-1.5.5-p3peIMeiUA4Z37z2EtgYi
    hashable-1.4.4.0-nWtkxUvx9i9tMRJKCZgnw
    primitive-0.8.0.0-CgxKCR9ULfZ73CnNdOTvCD
    profunctors-5.6.2-FU1ZJ7jAwY3FBezLPRDd4l
    random-1.2.1.2-2GxRLB29YjZ5Hmc9ZOWGpv
    semigroupoids-6.0.0.1-6AK4WuDDdcpGLtBowKfvAR text-2.0.2
    transformers-0.5.6.2
    unordered-containers-0.2.20-FzN23deFW3GkzXU7VwkDd
    vector-0.13.1.0-D9au4GPCsbT1DKgXASrr5O

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

